scala.collection.mutable

# PriorityQueueProxy

#### abstract class PriorityQueueProxy[A] extends PriorityQueue[A] with Proxy

This class servers as a proxy for priority queues. The elements of the queue have to be ordered in terms of the `Ordered[T]` class.

Source
  PriorityQueueProxy.scala
Version

  1.0, 03/05/2004

Since

  1

Linear Supertypes
Proxy, PriorityQueue[A], Serializable, Serializable, Builder[A, PriorityQueue[A]], Growable[A], GenericOrderedTraversableTemplate[A, PriorityQueue], Iterable[A], Iterable[A], IterableLike[A, PriorityQueue[A]], Equals, GenIterable[A], GenIterableLike[A, PriorityQueue[A]], Traversable[A], Mutable, Traversable[A], GenTraversable[A], GenericTraversableTemplate[A, Iterable], TraversableLike[A, PriorityQueue[A]], GenTraversableLike[A, PriorityQueue[A]], Parallelizable[A, ParIterable[A]], TraversableOnce[A], GenTraversableOnce[A], FilterMonadic[A, PriorityQueue[A]], HasNewBuilder[A, PriorityQueue[A]], AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. PriorityQueueProxy
2. Proxy
3. PriorityQueue
4. Serializable
5. Serializable
6. Builder
7. Growable
8. GenericOrderedTraversableTemplate
9. Iterable
10. Iterable
11. IterableLike
12. Equals
13. GenIterable
14. GenIterableLike
15. Traversable
16. Mutable
17. Traversable
18. GenTraversable
19. GenericTraversableTemplate
20. TraversableLike
21. GenTraversableLike
22. Parallelizable
23. TraversableOnce
24. GenTraversableOnce
25. FilterMonadic
26. HasNewBuilder
27. AnyRef
28. Any

Visibility

1. Public
2. All

### Instance Constructors

1. #### new PriorityQueueProxy()(implicit ord: Ordering[A])

### Type Members

1. #### type Self = PriorityQueue[A]

   The type implementing this traversable

   The type implementing this traversable

   Attributes
     protected
   Definition Classes
     TraversableLike

2. #### class WithFilter extends FilterMonadic[A, Repr]

   A class supporting filtered operations.

### Abstract Value Members

1. #### abstract def self: PriorityQueue[A]

   Definition Classes
     PriorityQueueProxy → Proxy

### Concrete Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types.

   Equivalent to `x.hashCode` except for boxed numeric types. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### def ++(xs: GenTraversableOnce[A]): PriorityQueue[A]

   Adds all elements provided by a `TraversableOnce` object into the priority queue.

   Adds all elements provided by a `TraversableOnce` object into the priority queue.

   xs

     a traversable object.

   returns

     a new priority queue containing elements of both `xs` and `this`.

   Definition Classes
     PriorityQueue

5. #### abstract def ++[B](that: GenTraversableOnce[B]): PriorityQueue[B]

   [use case] Returns a new priority queue containing the elements from the left hand operand followed by the elements from the right hand operand.

   [use case]

   Returns a new priority queue containing the elements from the left hand operand followed by the elements from the right hand operand. The element type of the priority queue is the most specific superclass encompassing the element types of the two operands (see example).

   B

     the element type of the returned collection.

   that

     the traversable to append.

   returns

     a new collection of type `That` which contains all elements of this priority queue followed by all elements of `that`.

   Definition Classes
     GenTraversableLike

6. #### def ++[B >: A, That](that: GenTraversableOnce[B])(implicit bf: CanBuildFrom[PriorityQueue[A], B, That]): That

   Returns a new priority queue containing the elements from the left hand operand followed by the elements from the right hand operand.

   Returns a new priority queue containing the elements from the left hand operand followed by the elements from the right hand operand. The element type of the priority queue is the most specific superclass encompassing the element types of the two operands (see example).

   Example:

           scala> val a = LinkedList(1)
           a: scala.collection.mutable.LinkedList[Int] = LinkedList(1)

           scala> val b = LinkedList(2)
           b: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

           scala> val c = a ++ b
           c: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

           scala> val d = LinkedList('a')
           d: scala.collection.mutable.LinkedList[Char] = LinkedList(a)

           scala> val e = c ++ d
           e: scala.collection.mutable.LinkedList[AnyVal] = LinkedList(1, 2, a)

   B

     the element type of the returned collection.

   That

     the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

   that

     the traversable to append.

   bf

     an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and and the new element type `B`.

   returns

     a new collection of type `That` which contains all elements of this priority queue followed by all elements of `that`.

   Definition Classes
     TraversableLike → GenTraversableLike

7. #### def ++:[B >: A, That](that: Traversable[B])(implicit bf: CanBuildFrom[PriorityQueue[A], B, That]): That

   As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

   As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand. It differs from `++` in that the right operand determines the type of the resulting collection rather than the left one.

   Example:

           scala> val x = List(1)
           x: List[Int] = List(1)

           scala> val y = LinkedList(2)
           y: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

           scala> val z = x ++: y
           z: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

   This overload exists because: for the implementation of `++:` we should reuse that of `++` because many collections override it with more efficient versions.

   Since `TraversableOnce` has no `++` method, we have to implement that directly, but `Traversable` and down can use the overload.

   B

     the element type of the returned collection.

   That

     the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

   that

     the traversable to append.

   bf

     an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and and the new element type `B`.

   returns

     a new priority queue which contains all elements of this priority queue followed by all elements of `that`.

   Definition Classes
     TraversableLike

8. #### abstract def ++:[B](that: TraversableOnce[B]): PriorityQueue[B]

   [use case] Concatenates this priority queue with the elements of a traversable collection.

   [use case]

   Concatenates this priority queue with the elements of a traversable collection. It differs from ++ in that the right operand determines the type of the resulting collection rather than the left one.

   B

     the element type of the returned collection.

   that

     the traversable to append.

   returns

     a new collection of type `That` which contains all elements of this priority queue followed by all elements of `that`.

   Definition Classes
     TraversableLike

9. #### def ++:[B >: A, That](that: TraversableOnce[B])(implicit bf: CanBuildFrom[PriorityQueue[A], B, That]): That

   Concatenates this priority queue with the elements of a traversable collection.

   Concatenates this priority queue with the elements of a traversable collection. It differs from ++ in that the right operand determines the type of the resulting collection rather than the left one.

   Example:

           scala> val x = List(1)
           x: List[Int] = List(1)

           scala> val y = LinkedList(2)
           y: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

           scala> val z = x ++: y
           z: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

   B

     the element type of the returned collection.

   That

     the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

   that

     the traversable to append.

   bf

     an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and and the new element type `B`.

   returns

     a new collection of type `That` which contains all elements of this priority queue followed by all elements of `that`.

   Definition Classes
     TraversableLike

10. #### def ++=(it: TraversableOnce[A]): PriorityQueueProxy.this.type

    Adds all elements provided by an iterator into the priority queue.

    Adds all elements provided by an iterator into the priority queue.

    it

      an iterator

    returns

      the priority queue itself.

    Definition Classes
      PriorityQueueProxy → Growable

11. #### def +=(elem: A): PriorityQueueProxy.this.type

    Inserts a single element into the priority queue.

    Inserts a single element into the priority queue.

    elem

      the element to insert

    returns

      this priority queue.

    Definition Classes
      PriorityQueueProxy → PriorityQueue → Builder → Growable

12. #### def +=(elem1: A, elem2: A, elems: A*): PriorityQueueProxy.this.type

    adds two or more elements to this priority queue.

    adds two or more elements to this priority queue.

    elem1

      the first element to add.

    elem2

      the second element to add.

    elems

      the remaining elements to add.

    returns

      the priority queue itself

    Definition Classes
      Growable

13. #### def /:[B](z: B)(op: (B, A) ⇒ B): B

    Applies a binary operator to a start value and all elements of this priority queue, going left to right.

    Applies a binary operator to a start value and all elements of this priority queue, going left to right.

    Note: `/:` is alternate syntax for `foldLeft`; `z /: xs` is the same as `xs foldLeft z`.

    Examples:

    Note that the folding function used to compute b is equivalent to that used to compute c.

             scala> val a = LinkedList(1,2,3,4)
             a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

             scala> val b = (5 /: a)(_+_)
             b: Int = 15

             scala> val c = (5 /: a)((x,y) => x + y)
             c: Int = 15

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this priority queue, going left to right with the start value `z` on the left:

                      op(...op(op(z, x1), x2), ..., xn)

      where `x1, ..., xn` are the elements of this priority queue.

    Definition Classes
      TraversableOnce → GenTraversableOnce

14. #### def /:\[A1 >: A](z: A1)(op: (A1, A1) ⇒ A1): A1

    A syntactic sugar for out of order folding.

    A syntactic sugar for out of order folding. See `fold`.

    Example:

             scala> val a = LinkedList(1,2,3,4)
             a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

             scala> val b = (a /:\ 5)(_+_)
             b: Int = 15

    Definition Classes
      GenTraversableOnce

15. #### def :\[B](z: B)(op: (A, B) ⇒ B): B

    Applies a binary operator to all elements of this priority queue and a start value, going right to left.

    Applies a binary operator to all elements of this priority queue and a start value, going right to left.

    Note: `:\` is alternate syntax for `foldRight`; `xs :\ z` is the same as `xs foldRight z`.

    Examples:

    Note that the folding function used to compute b is equivalent to that used to compute c.

             scala> val a = LinkedList(1,2,3,4)
             a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

             scala> val b = (a :\ 5)(_+_)
             b: Int = 15

             scala> val c = (a :\ 5)((x,y) => x + y)
             c: Int = 15

    B

      the result type of the binary operator.

    z

      the start value

    op

      the binary operator

    returns

      the result of inserting `op` between consecutive elements of this priority queue, going right to left with the start value `z` on the right:

                      op(x1, op(x2, ... op(xn, z)...))

      where `x1, ..., xn` are the elements of this priority queue.

    Definition Classes
      TraversableOnce → GenTraversableOnce

16. #### final def ==(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

17. #### final def ==(arg0: Any): Boolean

    Test two objects for equality.

    Test two objects for equality.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      Any

18. #### def addString(b: StringBuilder): StringBuilder

    Appends all elements of this priority queue to a string builder.

    Appends all elements of this priority queue to a string builder. The written text consists of the string representations (w.r.t. the method `toString`) of all elements of this priority queue without any separator string.

    Example:

             scala> val a = LinkedList(1,2,3,4)
             a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

             scala> val b = new StringBuilder()
             b: StringBuilder =

             scala> val h = a.addString(b)
             b: StringBuilder = 1234

    b

      the string builder to which elements are appended.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      TraversableOnce

19. #### def addString(b: StringBuilder, sep: String): StringBuilder

    Appends all elements of this priority queue to a string builder using a separator string.

    Appends all elements of this priority queue to a string builder using a separator string. The written text consists of the string representations (w.r.t. the method `toString`) of all elements of this priority queue, separated by the string `sep`.

    Example:

             scala> val a = LinkedList(1,2,3,4)
             a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

             scala> val b = new StringBuilder()
             b: StringBuilder =

             scala> a.addString(b, ", ")
             res0: StringBuilder = 1, 2, 3, 4

    b

      the string builder to which elements are appended.

    sep

      the separator string.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      TraversableOnce

20. #### def addString(b: StringBuilder, start: String, sep: String, end: String): StringBuilder

    Appends all elements of this priority queue to a string builder using start, end, and separator strings.

    Appends all elements of this priority queue to a string builder using start, end, and separator strings. The written text begins with the string `start` and ends with the string `end`. Inside, the string representations (w.r.t. the method `toString`) of all elements of this priority queue are separated by the string `sep`.

    Example:

             scala> val a = LinkedList(1,2,3,4)
             a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

             scala> val b = new StringBuilder()
             b: StringBuilder =

             scala> a.addString(b, "LinkedList(", ", ", ")")
             res1: StringBuilder = LinkedList(1, 2, 3, 4)

    b

      the string builder to which elements are appended.

    start

      the starting string.

    sep

      the separator string.

    end

      the ending string.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      TraversableOnce

21. #### def aggregate[B](z: B)(seqop: (B, A) ⇒ B, combop: (B, B) ⇒ B): B

    Aggregates the results of applying an operator to subsequent elements.

    Aggregates the results of applying an operator to subsequent elements.

    This is a more general form of `fold` and `reduce`. It has similar semantics, but does not require the result to be a supertype of the element type. It traverses the elements in different partitions sequentially, using `seqop` to update the result, and then applies `combop` to results from different partitions. The implementation of this operation may operate on an arbitrary number of collection partitions, so `combop` may be invoked an arbitrary number of times.

    For example, one might want to process some elements and then produce a `Set`. In this case, `seqop` would process an element and append it to the list, while `combop` would concatenate two lists from different partitions together. The initial value `z` would be an empty set.

           pc.aggregate(Set[Int]())(_ += process(_), _ ++ _)

    Another example is calculating geometric mean from a collection of doubles (one would typically require big doubles for this).

    B

      the type of accumulated results

    z

      the initial value for the accumulated result of the partition - this will typically be the neutral element for the `seqop` operator (e.g. `Nil` for list concatenation or `0` for summation)

    seqop

      an operator used to accumulate results within a partition

    combop

      an associative operator used to combine results from different partitions

    Definition Classes
      TraversableOnce → GenTraversableOnce

22. #### final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown
      ClassCastException

      if the receiver object is not an instance of the erasure of type `T0`.

23. #### def canEqual(that: Any): Boolean

    Method called from equality methods, so that user-defined subclasses can refuse to be equal to other collections of the same kind.

    Method called from equality methods, so that user-defined subclasses can refuse to be equal to other collections of the same kind.

    that

      The object with which this priority queue should be compared

    returns

      `true`, if this priority queue can possibly equal `that`, `false` otherwise. The test takes into consideration only the run-time types of objects but ignores their elements.

    Definition Classes
      IterableLike → Equals

24. #### def clear(): Unit

    Removes all elements from the queue.

    Removes all elements from the queue. After this operation is completed, the queue will be empty.

    Definition Classes
      PriorityQueueProxy → PriorityQueue → Builder → Growable

25. #### def clone(): PriorityQueue[A]

    This method clones the priority queue.

    This method clones the priority queue.

    returns

      a priority queue with the same elements.

    Definition Classes
      PriorityQueueProxy → PriorityQueue → AnyRef

26. #### abstract def collect[B](pf: PartialFunction[A, B]): PriorityQueue[B]

    [use case] Builds a new collection by applying a partial function to all elements of this priority queue on which the function is defined.

    [use case]

    Builds a new collection by applying a partial function to all elements of this priority queue on which the function is defined.

    B

      the element type of the returned collection.

    pf

      the partial function which filters and maps the priority queue.

    returns

      a new collection of type `That` resulting from applying the partial function `pf` to each element on which it is defined and collecting the results. The order of the elements is preserved.

    Definition Classes
      GenTraversableLike

27. #### def collect[B, That](pf: PartialFunction[A, B])(implicit bf: CanBuildFrom[PriorityQueue[A], B, That]): That

    Builds a new collection by applying a partial function to all elements of this priority queue on which the function is defined.

    Builds a new collection by applying a partial function to all elements of this priority queue on which the function is defined.

    B

      the element type of the returned collection.

    That

      the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

    pf

      the partial function which filters and maps the priority queue.

    bf

      an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and and the new element type `B`.

    returns

      a new collection of type `That` resulting from applying the partial function `pf` to each element on which it is defined and collecting the results. The order of the elements is preserved.

    Definition Classes
      TraversableLike → GenTraversableLike

28. #### def collectFirst[B](pf: PartialFunction[A, B]): Option[B]

    Finds the first element of the priority queue for which the given partial function is defined, and applies the partial function to it.

    Finds the first element of the priority queue for which the given partial function is defined, and applies the partial function to it.

    pf

      the partial function

    returns

      an option value containing pf applied to the first value for which it is defined, or `None` if none exists.

    Definition Classes
      TraversableOnce
    Example:

    1. `Seq("a", 1, 5L).collectFirst({ case x: Int => x*10 }) = Some(10)`

29. #### def companion: GenericCompanion[Iterable]

    The factory companion object that builds instances of class PriorityQueue.

    The factory companion object that builds instances of class PriorityQueue. (or its `Iterable` superclass where class PriorityQueue is not a `Seq`.)

    Definition Classes
      Iterable → Iterable → GenIterable → Traversable → Traversable → GenTraversable → GenericTraversableTemplate

30. #### abstract def copyToArray(xs: Array[A], start: Int, len: Int): Unit

    [use case] Copies elements of this priority queue to an array.

    [use case]

    Copies elements of this priority queue to an array. Fills the given array `xs` with at most `len` elements of this priority queue, starting at position `start`. Copying will stop once either the end of the current priority queue is reached, or the end of the array is reached, or `len` elements have been copied.

    xs

      the array to fill.

    start

      the starting index.

    len

      the maximal number of elements to copy.

    Definition Classes
      TraversableLike

31. #### def copyToArray[B >: A](xs: Array[B], start: Int, len: Int): Unit

    Copies elements of this priority queue to an array.

    Copies elements of this priority queue to an array. Fills the given array `xs` with at most `len` elements of this priority queue, starting at position `start`. Copying will stop once either the end of the current priority queue is reached, or the end of the array is reached, or `len` elements have been copied.

    B

      the type of the elements of the array.

    xs

      the array to fill.

    start

      the starting index.

    len

      the maximal number of elements to copy.

    Definition Classes
      IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

32. #### abstract def copyToArray(xs: Array[A]): Unit

    [use case] Copies values of this priority queue to an array.

    [use case]

    Copies values of this priority queue to an array. Fills the given array `xs` with values of this priority queue. Copying will stop once either the end of the current priority queue is reached, or the end of the array is reached.

    xs

      the array to fill.

    Definition Classes
      GenTraversableOnce

33. #### def copyToArray[B >: A](xs: Array[B]): Unit

    Copies values of this priority queue to an array.

    Copies values of this priority queue to an array. Fills the given array `xs` with values of this priority queue. Copying will stop once either the end of the current priority queue is reached, or the end of the array is reached.

    B

      the type of the elements of the array.

    xs

      the array to fill.

    Definition Classes
      TraversableOnce → GenTraversableOnce

34. #### abstract def copyToArray(xs: Array[A], start: Int): Unit

    [use case] Copies values of this priority queue to an array.

    [use case]

    Copies values of this priority queue to an array. Fills the given array `xs` with values of this priority queue, beginning at index `start`. Copying will stop once either the end of the current priority queue is reached, or the end of the array is reached.

    xs

      the array to fill.

    start

      the starting index.

    Definition Classes
      GenTraversableOnce

35. #### def copyToArray[B >: A](xs: Array[B], start: Int): Unit

    Copies values of this priority queue to an array.

    Copies values of this priority queue to an array. Fills the given array `xs` with values of this priority queue, beginning at index `start`. Copying will stop once either the end of the current priority queue is reached, or the end of the array is reached.

    B

      the type of the elements of the array.

    xs

      the array to fill.

    start

      the starting index.

    Definition Classes
      TraversableOnce → GenTraversableOnce

36. #### def copyToBuffer[B >: A](dest: Buffer[B]): Unit

    Copies all elements of this priority queue to a buffer.

    Copies all elements of this priority queue to a buffer.

    dest

      The buffer to which elements are copied.

    Definition Classes
      TraversableOnce

37. #### def count(p: (A) ⇒ Boolean): Int

    Counts the number of elements in the priority queue which satisfy a predicate.

    Counts the number of elements in the priority queue which satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      the number of elements satisfying the predicate `p`.

    Definition Classes
      TraversableOnce → GenTraversableOnce

38. #### def dequeue(): A

    Returns the element with the highest priority in the queue, and removes this element from the queue.

    Returns the element with the highest priority in the queue, and removes this element from the queue.

    returns

      the element with the highest priority.

    Definition Classes
      PriorityQueueProxy → PriorityQueue

39. #### def dequeueAll[A1 >: A, That](implicit bf: scala.collection.generic.CanBuildFrom[_, A1, That]): That

    Definition Classes
      PriorityQueue

40. #### def drop(n: Int): PriorityQueue[A]

    Selects all elements except first n ones.

    Selects all elements except first n ones.

    n

      the number of elements to drop from this priority queue.

    returns

      a priority queue consisting of all elements of this priority queue except the first `n` ones, or else the empty priority queue, if this priority queue has less than `n` elements.

    Definition Classes
      IterableLike → TraversableLike → GenTraversableLike

41. #### def dropRight(n: Int): PriorityQueue[A]

    Selects all elements except last n ones.

    Selects all elements except last n ones.

    n

      The number of elements to take

    returns

      a priority queue consisting of all elements of this priority queue except the last `n` ones, or else the empty priority queue, if this priority queue has less than `n` elements.

    Definition Classes
      IterableLike

42. #### def dropWhile(p: (A) ⇒ Boolean): PriorityQueue[A]

    Drops longest prefix of elements that satisfy a predicate.

    Drops longest prefix of elements that satisfy a predicate.

    p

      The predicate used to test elements.

    returns

      the longest suffix of this priority queue whose first element does not satisfy the predicate `p`.

    Definition Classes
      TraversableLike → GenTraversableLike

43. #### def enqueue(elems: A*): Unit

    Adds all elements to the queue.

    Adds all elements to the queue.

    elems

      the elements to add.

    Definition Classes
      PriorityQueueProxy → PriorityQueue

44. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

45. #### def equals(that: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. See equals in Any.

    that

      the object to compare against this object for equality.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      Proxy → AnyRef → Any

46. #### def exists(p: (A) ⇒ Boolean): Boolean

    Tests whether a predicate holds for some of the elements of this priority queue.

    Tests whether a predicate holds for some of the elements of this priority queue.

    p

      the predicate used to test elements.

    returns

      `true` if the given predicate `p` holds for some of the elements of this priority queue, otherwise `false`.

    Definition Classes
      IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

47. #### def filter(p: (A) ⇒ Boolean): PriorityQueue[A]

    Selects all elements of this priority queue which satisfy a predicate.

    Selects all elements of this priority queue which satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      a new priority queue consisting of all elements of this priority queue that satisfy the given predicate `p`. The order of the elements is preserved.

    Definition Classes
      TraversableLike → GenTraversableLike

48. #### def filterNot(p: (A) ⇒ Boolean): PriorityQueue[A]

    Selects all elements of this priority queue which do not satisfy a predicate.

    Selects all elements of this priority queue which do not satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      a new priority queue consisting of all elements of this priority queue that do not satisfy the given predicate `p`. The order of the elements is preserved.

    Definition Classes
      TraversableLike → GenTraversableLike

49. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()
    Note

      not specified by SLS as a member of AnyRef

50. #### def find(p: (A) ⇒ Boolean): Option[A]

    Finds the first element of the priority queue satisfying a predicate, if any.

    Finds the first element of the priority queue satisfying a predicate, if any.

    p

      the predicate used to test elements.

    returns

      an option value containing the first element in the priority queue that satisfies `p`, or `None` if none exists.

    Definition Classes
      IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

51. #### def fixDown(as: Array[AnyRef], m: Int, n: Int): Unit

    Attributes
      protected
    Definition Classes
      PriorityQueue

52. #### def fixUp(as: Array[AnyRef], m: Int): Unit

    Attributes
      protected
    Definition Classes
      PriorityQueue

53. #### abstract def flatMap[B](f: (A) ⇒ GenTraversableOnce[B]): PriorityQueue[B]

    [use case] Builds a new collection by applying a function to all elements of this priority queue and using the elements of the resulting collections.

    [use case]

    Builds a new collection by applying a function to all elements of this priority queue and using the elements of the resulting collections. For example:

    B

      the element type of the returned collection.

    f

      the function to apply to each element.

    returns

      a new collection of type `That` resulting from applying the given collection-valued function `f` to each element of this priority queue and concatenating the results.

    Definition Classes
      GenTraversableLike

54. #### def flatMap[B, That](f: (A) ⇒ GenTraversableOnce[B])(implicit bf: CanBuildFrom[PriorityQueue[A], B, That]): That

    Builds a new collection by applying a function to all elements of this priority queue and using the elements of the resulting collections.

    Builds a new collection by applying a function to all elements of this priority queue and using the elements of the resulting collections. For example:

         def getWords(lines: Seq[String]): Seq[String] = lines flatMap (line => line split "\\W+")

    The type of the resulting collection is guided by the static type of priority queue. This might cause unexpected results sometimes. For example:

         // lettersOf will return a Seq[Char] of likely repeated letters, instead of a Set
         def lettersOf(words: Seq[String]) = words flatMap (word => word.toSet)

         // lettersOf will return a Set[Char], not a Seq
         def lettersOf(words: Seq[String]) = words.toSet flatMap (word => word.toSeq)

         // xs will be a an Iterable[Int]
         val xs = Map("a" -> List(11,111), "b" -> List(22,222)).flatMap(_._2)

         // ys will be a Map[Int, Int]
         val ys = Map("a" -> List(1 -> 11,1 -> 111), "b" -> List(2 -> 22,2 -> 222)).flatMap(_._2)

    B

      the element type of the returned collection.

    That

      the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

    f

      the function to apply to each element.

    bf

      an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and and the new element type `B`.

    returns

      a new collection of type `That` resulting from applying the given collection-valued function `f` to each element of this priority queue and concatenating the results.

    Definition Classes
      TraversableLike → GenTraversableLike → FilterMonadic

55. #### abstract def flatten[B]: PriorityQueue[B]

    [use case] Converts this priority queue of traversable collections into a priority queue formed by the elements of these traversable collections.

    [use case]

    Converts this priority queue of traversable collections into a priority queue formed by the elements of these traversable collections.

    B

      the type of the elements of each traversable collection.

    returns

      a new priority queue resulting from concatenating all element priority queues.

    Definition Classes
      GenericTraversableTemplate

56. #### def fold[A1 >: A](z: A1)(op: (A1, A1) ⇒ A1): A1

    Folds the elements of this priority queue using the specified associative binary operator.

    Folds the elements of this priority queue using the specified associative binary operator.

    The order in which operations are performed on elements is unspecified and may be nondeterministic.

    A1

      a type parameter for the binary operator, a supertype of `A`.

    z

      a neutral element for the fold operation; may be added to the result an arbitrary number of times, and must not change the result (e.g., `Nil` for list concatenation, 0 for addition, or 1 for multiplication.)

    op

      a binary operator that must be associative

    returns

      the result of applying fold operator `op` between all the elements and `z`

    Definition Classes
      TraversableOnce → GenTraversableOnce

57. #### def foldLeft[B](z: B)(op: (B, A) ⇒ B): B

    Applies a binary operator to a start value and all elements of this priority queue, going left to right.

    Applies a binary operator to a start value and all elements of this priority queue, going left to right.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this priority queue, going left to right with the start value `z` on the left:

                      op(...op(z, x1), x2, ..., xn)

      where `x1, ..., xn` are the elements of this priority queue.

    Definition Classes
      TraversableOnce → GenTraversableOnce

58. #### def foldRight[B](z: B)(op: (A, B) ⇒ B): B

    Applies a binary operator to all elements of this priority queue and a start value, going right to left.

    Applies a binary operator to all elements of this priority queue and a start value, going right to left.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this priority queue, going right to left with the start value `z` on the right:

                      op(x1, op(x2, ... op(xn, z)...))

      where `x1, ..., xn` are the elements of this priority queue.

    Definition Classes
      IterableLike → TraversableOnce → GenTraversableOnce

59. #### def forall(p: (A) ⇒ Boolean): Boolean

    Tests whether a predicate holds for all elements of this priority queue.

    Tests whether a predicate holds for all elements of this priority queue.

    p

      the predicate used to test elements.

    returns

      `true` if the given predicate `p` holds for all elements of this priority queue, otherwise `false`.

    Definition Classes
      IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

60. #### abstract def foreach(f: (A) ⇒ Unit): Unit

    [use case] Applies a function `f` to all elements of this priority queue.

    [use case]

    Applies a function `f` to all elements of this priority queue.

    f

      the function that is applied for its side-effect to every element. The result of function `f` is discarded.

    Definition Classes
      IterableLike

61. #### def foreach[U](f: (A) ⇒ U): Unit

    Applies a function `f` to all elements of this priority queue.

    Applies a function `f` to all elements of this priority queue.

    Note: this method underlies the implementation of most other bulk operations. Subclasses should re-implement this method if a more efficient implementation exists.

    U

      the type parameter describing the result of function `f`. This result will always be ignored. Typically `U` is `Unit`, but this is not necessary.

    f

      the function that is applied for its side-effect to every element. The result of function `f` is discarded.

    Definition Classes
      IterableLike → TraversableLike → GenTraversableLike → TraversableOnce → GenTraversableOnce → FilterMonadic

62. #### def genericBuilder[B]: Builder[B, Iterable[B]]

    The generic builder that builds instances of PriorityQueue at arbitrary element types.

    The generic builder that builds instances of PriorityQueue at arbitrary element types.

    Definition Classes
      GenericTraversableTemplate

63. #### def genericOrderedBuilder[B](implicit ord: Ordering[B]): Builder[B, PriorityQueue[B]]

    Definition Classes
      GenericOrderedTraversableTemplate

64. #### final def getClass(): java.lang.Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

65. #### def groupBy[K](f: (A) ⇒ K): Map[K, PriorityQueue[A]]

    Partitions this priority queue into a map of priority queues according to some discriminator function.

    Partitions this priority queue into a map of priority queues according to some discriminator function.

    Note: this method is not re-implemented by views. This means when applied to a view it will always force the view and return a new priority queue.

    K

      the type of keys returned by the discriminator function.

    f

      the discriminator function.

    returns

      A map from keys to priority queues such that the following invariant holds:

                          (xs partition f)(k) = xs filter (x => f(x) == k)

      That is, every key `k` is bound to a priority queue of those elements `x` for which `f(x)` equals `k`.

    Definition Classes
      TraversableLike → GenTraversableLike

66. #### def grouped(size: Int): Iterator[PriorityQueue[A]]

    Partitions elements in fixed size priority queues.

    Partitions elements in fixed size priority queues.

    size

      the number of elements per group

    returns

      An iterator producing priority queues of size `size`, except the last will be truncated if the elements don't divide evenly.

    Definition Classes
      IterableLike
    See also

      Iterator#grouped

67. #### def hasDefiniteSize: Boolean

    Tests whether this priority queue is known to have a finite size.

    Tests whether this priority queue is known to have a finite size. All strict collections are known to have finite size. For a non-strict collection such as `Stream`, the predicate returns `true` if all elements have been computed. It returns `false` if the stream is not yet evaluated to the end.

    Note: many collection methods will not work on collections of infinite sizes.

    returns

      `true` if this collection is known to have finite size, `false` otherwise.

    Definition Classes
      TraversableLike → TraversableOnce → GenTraversableOnce

68. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in Any.

    returns

      the hash code value for this object.

    Definition Classes
      Proxy → AnyRef → Any

69. #### def head: A

    Returns the element with the highest priority in the queue, or throws an error if there is no element contained in the queue.

    Returns the element with the highest priority in the queue, or throws an error if there is no element contained in the queue.

    returns

      the element with the highest priority.

    Definition Classes
      PriorityQueueProxy → PriorityQueue → IterableLike → GenIterableLike → GenericTraversableTemplate → TraversableLike → GenTraversableLike

70. #### def headOption: Option[A]

    Optionally selects the first element.

    Optionally selects the first element.

    returns

      the first element of this priority queue if it is nonempty, `None` if it is empty.

    Definition Classes
      TraversableLike

71. #### def init: PriorityQueue[A]

    Selects all elements except the last.

    Selects all elements except the last.

    returns

      a priority queue consisting of all elements of this priority queue except the last one.

    Definition Classes
      TraversableLike
    Exceptions thrown
      `UnsupportedOperationException`

      if the priority queue is empty.

72. #### def inits: Iterator[PriorityQueue[A]]

    Iterates over the inits of this priority queue.

    Iterates over the inits of this priority queue. The first value will be this priority queue and the final one will be an empty priority queue, with the intervening values the results of successive applications of `init`.

    returns

      an iterator over all the inits of this priority queue

    Definition Classes
      TraversableLike
    Example:

    1. `List(1,2,3).inits = Iterator(List(1,2,3), List(1,2), List(1), Nil)`

73. #### def isEmpty: Boolean

    Checks if the queue is empty.

    Checks if the queue is empty.

    returns

      true, iff there is no element in the queue.

    Definition Classes
      PriorityQueueProxy → PriorityQueue → IterableLike → GenIterableLike → GenericTraversableTemplate → TraversableLike → TraversableOnce → GenTraversableOnce

74. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

75. #### final def isTraversableAgain: Boolean

    Tests whether this priority queue can be repeatedly traversed.

    Tests whether this priority queue can be repeatedly traversed.

    returns

      `true`

    Definition Classes
      GenTraversableLike → GenTraversableOnce

76. #### def iterator: Iterator[A]

    Creates a new iterator over all elements contained in this object.

    Creates a new iterator over all elements contained in this object.

    returns

      the new iterator

    Definition Classes
      PriorityQueueProxy → PriorityQueue → IterableLike → GenIterableLike

77. #### def last: A

    Selects the last element.

    Selects the last element.

    returns

      The last element of this priority queue.

    Definition Classes
      TraversableLike
    Exceptions thrown
      NoSuchElementException

      If the priority queue is empty.

78. #### def lastOption: Option[A]

    Optionally selects the last element.

    Optionally selects the last element.

    returns

      the last element of this priority queue$ if it is nonempty, `None` if it is empty.

    Definition Classes
      TraversableLike

79. #### def length: Int

    Returns the length of this priority queue.

    Returns the length of this priority queue.

    Definition Classes
      PriorityQueueProxy → PriorityQueue

80. #### abstract def map[B](f: (A) ⇒ B): PriorityQueue[B]

    [use case] Builds a new collection by applying a function to all elements of this priority queue.

    [use case]

    Builds a new collection by applying a function to all elements of this priority queue.

    B

      the element type of the returned collection.

    f

      the function to apply to each element.

    returns

      a new collection of type `That` resulting from applying the given function `f` to each element of this priority queue and collecting the results.

    Definition Classes
      GenTraversableLike

81. #### def map[B, That](f: (A) ⇒ B)(implicit bf: CanBuildFrom[PriorityQueue[A], B, That]): That

    Builds a new collection by applying a function to all elements of this priority queue.

    Builds a new collection by applying a function to all elements of this priority queue.

    B

      the element type of the returned collection.

    That

      the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

    f

      the function to apply to each element.

    bf

      an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and and the new element type `B`.

    returns

      a new collection of type `That` resulting from applying the given function `f` to each element of this priority queue and collecting the results.

    Definition Classes
      TraversableLike → GenTraversableLike → FilterMonadic

82. #### def mapResult[NewTo](f: (PriorityQueue[A]) ⇒ NewTo): Builder[A, NewTo]

    Creates a new builder by applying a transformation function to the results of this builder.

    Creates a new builder by applying a transformation function to the results of this builder.

    NewTo

      the type of collection returned by `f`.

    f

      the transformation function.

    returns

      a new builder which is the same as the current builder except that a transformation function is applied to this builder's result.

    Definition Classes
      Builder

83. #### abstract def max: A

    [use case] Finds the largest element.

    [use case]

    Finds the largest element.

    returns

      the largest element of this priority queue with respect to the ordering `cmp`.

    Definition Classes
      GenTraversableOnce

84. #### def max[B >: A](implicit cmp: Ordering[B]): A

    Finds the largest element.

    Finds the largest element.

    B

      The type over which the ordering is defined.

    cmp

      An ordering to be used for comparing elements.

    returns

      the largest element of this priority queue with respect to the ordering `cmp`.

    Definition Classes
      TraversableOnce → GenTraversableOnce

85. #### def maxBy[B](f: (A) ⇒ B)(implicit cmp: Ordering[B]): A

    Definition Classes
      TraversableOnce → GenTraversableOnce

86. #### abstract def min: A

    [use case] Finds the smallest element.

    [use case]

    Finds the smallest element.

    returns

      the smallest element of this priority queue with respect to the ordering `cmp`.

    Definition Classes
      GenTraversableOnce

87. #### def min[B >: A](implicit cmp: Ordering[B]): A

    Finds the smallest element.

    Finds the smallest element.

    B

      The type over which the ordering is defined.

    cmp

      An ordering to be used for comparing elements.

    returns

      the smallest element of this priority queue with respect to the ordering `cmp`.

    Definition Classes
      TraversableOnce → GenTraversableOnce

88. #### def minBy[B](f: (A) ⇒ B)(implicit cmp: Ordering[B]): A

    Definition Classes
      TraversableOnce → GenTraversableOnce

89. #### def mkString: String

    Displays all elements of this priority queue in a string.

    Displays all elements of this priority queue in a string.

    returns

      a string representation of this priority queue. In the resulting string the string representations (w.r.t. the method `toString`) of all elements of this priority queue follow each other without any separator string.

    Definition Classes
      TraversableOnce → GenTraversableOnce

90. #### def mkString(sep: String): String

    Displays all elements of this priority queue in a string using a separator string.

    Displays all elements of this priority queue in a string using a separator string.

    sep

      the separator string.

    returns

      a string representation of this priority queue. In the resulting string the string representations (w.r.t. the method `toString`) of all elements of this priority queue are separated by the string `sep`.

    Definition Classes
      TraversableOnce → GenTraversableOnce
    Example:

    1. `List(1, 2, 3).mkString("|") = "1|2|3"`

91. #### def mkString(start: String, sep: String, end: String): String

    Displays all elements of this priority queue in a string using start, end, and separator strings.

    Displays all elements of this priority queue in a string using start, end, and separator strings.

    start

      the starting string.

    sep

      the separator string.

    end

      the ending string.

    returns

      a string representation of this priority queue. The resulting string begins with the string `start` and ends with the string `end`. Inside, the string representations (w.r.t. the method `toString`) of all elements of this priority queue are separated by the string `sep`.

    Definition Classes
      TraversableOnce → GenTraversableOnce
    Example:

    1. `List(1, 2, 3).mkString("(", "; ", ")") = "(1; 2; 3)"`

92. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

93. #### def newBuilder: PriorityQueue[A]

    The builder that builds instances of type PriorityQueue[A]

    The builder that builds instances of type PriorityQueue[A]

    Attributes
      protected[this]
    Definition Classes
      PriorityQueue → GenericTraversableTemplate → TraversableLike → HasNewBuilder

94. #### def nonEmpty: Boolean

    Tests whether the priority queue is not empty.

    Tests whether the priority queue is not empty.

    returns

      `true` if the priority queue contains at least one element, `false` otherwise.

    Definition Classes
      TraversableOnce → GenTraversableOnce

95. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

96. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

97. #### def orderedCompanion: scala.collection.mutable.PriorityQueue.type

    Definition Classes
      PriorityQueue → GenericOrderedTraversableTemplate

98. #### def par: ParIterable[A]

    Returns a parallel implementation of this collection.

    Returns a parallel implementation of this collection.

    For most collection types, this method creates a new parallel collection by copying all the elements. For these collection, `par` takes linear time. Mutable collections in this category do not produce a mutable parallel collection that has the same underlying dataset, so changes in one collection will not be reflected in the other one.

    Specific collections (e.g. `ParArray` or `mutable.ParHashMap`) override this default behaviour by creating a parallel collection which shares the same underlying dataset. For these collections, `par` takes constant or sublinear time.

    All parallel collections return a reference to themselves.

    returns

      a parallel implementation of this collection

    Definition Classes
      Parallelizable

99. #### def parCombiner: Combiner[A, ParIterable[A]]

    The default `par` implementation uses the combiner provided by this method to create a new parallel collection.

    The default `par` implementation uses the combiner provided by this method to create a new parallel collection.

    returns

      a combiner for the parallel collection of type `ParRepr`

    Attributes
      protected[this]
    Definition Classes
      Iterable → TraversableLike → Parallelizable

100. #### def partition(p: (A) ⇒ Boolean): (PriorityQueue[A], PriorityQueue[A])

     Partitions this priority queue in two priority queues according to a predicate.

     Partitions this priority queue in two priority queues according to a predicate.

     p

       the predicate on which to partition.

     returns

       a pair of priority queues: the first priority queue consists of all elements that satisfy the predicate `p` and the second priority queue consists of all elements that don't. The relative order of the elements in the resulting priority queues is the same as in the original priority queue.

     Definition Classes
       TraversableLike → GenTraversableLike

101. #### abstract def product: A

     [use case] Multiplies up the elements of this collection.

     [use case]

     Multiplies up the elements of this collection.

     returns

       the product of all elements of this priority queue with respect to the `*` operator in `num`.

     Definition Classes
       GenTraversableOnce

102. #### def product[B >: A](implicit num: Numeric[B]): B

     Multiplies up the elements of this collection.

     Multiplies up the elements of this collection.

     B

       the result type of the `*` operator.

     num

       an implicit parameter defining a set of numeric operations which includes the `*` operator to be used in forming the product.

     returns

       the product of all elements of this priority queue with respect to the `*` operator in `num`.

     Definition Classes
       TraversableOnce → GenTraversableOnce

103. #### def reduce[A1 >: A](op: (A1, A1) ⇒ A1): A1

     Reduces the elements of this priority queue using the specified associative binary operator.

     Reduces the elements of this priority queue using the specified associative binary operator.

     The order in which operations are performed on elements is unspecified and may be nondeterministic.

     A1

       A type parameter for the binary operator, a supertype of `A`.

     op

       A binary operator that must be associative.

     returns

       The result of applying reduce operator `op` between all the elements if the priority queue is nonempty.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Exceptions thrown
       UnsupportedOperationException

       if this priority queue is empty.

104. #### def reduceLeft[B >: A](op: (B, A) ⇒ B): B

     Definition Classes
       TraversableOnce

105. #### def reduceLeftOption[B >: A](op: (B, A) ⇒ B): Option[B]

     Optionally applies a binary operator to all elements of this priority queue, going left to right.

     Optionally applies a binary operator to all elements of this priority queue, going left to right.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       an option value containing the result of `reduceLeft(op)` is this priority queue is nonempty, `None` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

106. #### def reduceOption[A1 >: A](op: (A1, A1) ⇒ A1): Option[A1]

     Reduces the elements of this priority queue, if any, using the specified associative binary operator.

     Reduces the elements of this priority queue, if any, using the specified associative binary operator.

     The order in which operations are performed on elements is unspecified and may be nondeterministic.

     A1

       A type parameter for the binary operator, a supertype of `A`.

     op

       A binary operator that must be associative.

     returns

       An option value containing result of applying reduce operator `op` between all the elements if the collection is nonempty, and `None` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

107. #### def reduceRight[B >: A](op: (A, B) ⇒ B): B

     Applies a binary operator to all elements of this priority queue, going right to left.

     Applies a binary operator to all elements of this priority queue, going right to left.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       the result of inserting `op` between consecutive elements of this priority queue, going right to left:

                       op(x,,1,,, op(x,,2,,, ..., op(x,,n-1,,, x,,n,,)...))

       where `x1, ..., xn` are the elements of this priority queue.

     Definition Classes
       IterableLike → TraversableOnce → GenTraversableOnce
     Exceptions thrown
       `UnsupportedOperationException`

       if this priority queue is empty.

108. #### def reduceRightOption[B >: A](op: (A, B) ⇒ B): Option[B]

     Optionally applies a binary operator to all elements of this priority queue, going right to left.

     Optionally applies a binary operator to all elements of this priority queue, going right to left.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       an option value containing the result of `reduceRight(op)` is this priority queue is nonempty, `None` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

109. #### def repr: PriorityQueue[A]

     The collection of type priority queue underlying this `TraversableLike` object.

     The collection of type priority queue underlying this `TraversableLike` object. By default this is implemented as the `TraversableLike` object itself, but this can be overridden.

     Definition Classes
       PriorityQueue → TraversableLike → GenTraversableLike

110. #### def result(): PriorityQueue[A]

     Produces a collection from the added elements.

     Produces a collection from the added elements. The builder's contents are undefined after this operation.

     returns

       a collection containing the elements added to this builder.

     Definition Classes
       PriorityQueue → Builder

111. #### def reverse: PriorityQueue[A]

     Returns the reverse of this queue.

     Returns the reverse of this queue. The priority queue that gets returned will have an inversed ordering - if for some elements `x` and `y` the original queue's ordering had `compare` returning an integer w, the new one will return -w, assuming the original ordering abides its contract.

     Note that the order of the elements will be reversed unless the `compare` method returns 0. In this case, such elements will be subsequent, but their corresponding subinterval may be inappropriately reversed. However, due to the compare-equals contract, they will also be equal.

     returns

       A reversed priority queue.

     Definition Classes
       PriorityQueue

112. #### def reverseIterator: Iterator[A]

     Definition Classes
       PriorityQueue

113. #### def reversed: List[A]

     Attributes
       protected[this]
     Definition Classes
       TraversableOnce

114. #### abstract def sameElements(that: GenIterable[A]): Boolean

     [use case] Checks if the other iterable collection contains the same elements in the same order as this priority queue.

     [use case]

     Checks if the other iterable collection contains the same elements in the same order as this priority queue.

     that

       the collection to compare with.

     returns

       `true`, if both collections contain the same elements in the same order, `false` otherwise.

     Definition Classes
       GenIterableLike

115. #### def sameElements[B >: A](that: GenIterable[B]): Boolean

     Checks if the other iterable collection contains the same elements in the same order as this priority queue.

     Checks if the other iterable collection contains the same elements in the same order as this priority queue.

     B

       the type of the elements of collection `that`.

     that

       the collection to compare with.

     returns

       `true`, if both collections contain the same elements in the same order, `false` otherwise.

     Definition Classes
       IterableLike → GenIterableLike

116. #### def scan[B >: A, That](z: B)(op: (B, B) ⇒ B)(implicit cbf: CanBuildFrom[PriorityQueue[A], B, That]): That

     Computes a prefix scan of the elements of the collection.

     Computes a prefix scan of the elements of the collection.

     Note: The neutral element `z` may be applied more than once.

     B

       element type of the resulting collection

     That

       type of the resulting collection

     z

       neutral element for the operator `op`

     op

       the associative operator for the scan

     cbf

       combiner factory which provides a combiner

     returns

       a new priority queue containing the prefix scan of the elements in this priority queue

     Definition Classes
       TraversableLike → GenTraversableLike

117. #### def scanLeft[B, That](z: B)(op: (B, A) ⇒ B)(implicit bf: CanBuildFrom[PriorityQueue[A], B, That]): That

     Produces a collection containing cummulative results of applying the operator going left to right.

     Produces a collection containing cummulative results of applying the operator going left to right.

     B

       the type of the elements in the resulting collection

     That

       the actual type of the resulting collection

     z

       the initial value

     op

       the binary operator applied to the intermediate result and the element

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and and the new element type `B`.

     returns

       collection with intermediate results

     Definition Classes
       TraversableLike → GenTraversableLike

118. #### def scanRight[B, That](z: B)(op: (A, B) ⇒ B)(implicit bf: CanBuildFrom[PriorityQueue[A], B, That]): That

     Produces a collection containing cummulative results of applying the operator going right to left.

     Produces a collection containing cummulative results of applying the operator going right to left. The head of the collection is the last cummulative result.

     Example:

            List(1, 2, 3, 4).scanRight(0)(_ + _) == List(10, 9, 7, 4, 0)

     B

       the type of the elements in the resulting collection

     That

       the actual type of the resulting collection

     z

       the initial value

     op

       the binary operator applied to the intermediate result and the element

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and and the new element type `B`.

     returns

       collection with intermediate results

     Definition Classes
       TraversableLike → GenTraversableLike
     Annotations
       @migration
     Migration

       (Changed in version 2.9.0) The behavior of `scanRight` has changed. The previous behavior can be reproduced with scanRight.reverse.

119. #### def seq: Iterable[A]

     A version of this collection with all of the operations implemented sequentially (i.

     A version of this collection with all of the operations implemented sequentially (i.e. in a single-threaded manner).

     This method returns a reference to this collection. In parallel collections, it is redefined to return a sequential implementation of this collection. In both cases, it has O(1) complexity.

     returns

       a sequential view of the collection.

     Definition Classes
       Iterable → Iterable → GenIterable → Traversable → Traversable → GenTraversable → Parallelizable → TraversableOnce → GenTraversableOnce

120. #### def size: Int

     The size of this priority queue.

     The size of this priority queue.

     returns

       the number of elements in this priority queue.

     Definition Classes
       PriorityQueue → GenTraversableLike → TraversableOnce → GenTraversableOnce

121. #### def sizeHint(coll: scala.collection.TraversableLike[_, _], delta: Int = 0): Unit

     Gives a hint that one expects the `result` of this builder to have the same size as the given collection, plus some delta.

     Gives a hint that one expects the `result` of this builder to have the same size as the given collection, plus some delta. This will provide a hint only if the collection is known to have a cheap `size` method. Currently this is assumed to be the case if and only if the collection is of type `IndexedSeqLike`. Some builder classes will optimize their representation based on the hint. However, builder implementations are still required to work correctly even if the hint is wrong, i.e. a different number of elements is added.

     coll

       the collection which serves as a hint for the result's size.

     delta

       a correction to add to the `coll.size` to produce the size hint.

     Definition Classes
       Builder

122. #### def sizeHint(size: Int): Unit

     Gives a hint how many elements are expected to be added when the next `result` is called.

     Gives a hint how many elements are expected to be added when the next `result` is called. Some builder classes will optimize their representation based on the hint. However, builder implementations are still required to work correctly even if the hint is wrong, i.e. a different number of elements is added.

     size

       the hint how many elements will be added.

     Definition Classes
       Builder

123. #### def sizeHintBounded(size: Int, boundingColl: scala.collection.TraversableLike[_, _]): Unit

     Gives a hint how many elements are expected to be added when the next `result` is called, together with an upper bound given by the size of some other collection.

     Gives a hint how many elements are expected to be added when the next `result` is called, together with an upper bound given by the size of some other collection. Some builder classes will optimize their representation based on the hint. However, builder implementations are still required to work correctly even if the hint is wrong, i.e. a different number of elements is added.

     size

       the hint how many elements will be added.

     boundingColl

       the bounding collection. If it is an IndexedSeqLike, then sizes larger than collection's size are reduced.

     Definition Classes
       Builder

124. #### def slice(from: Int, until: Int): PriorityQueue[A]

     Selects an interval of elements.

     Selects an interval of elements. The returned collection is made up of all elements `x` which satisfy the invariant:

            from <= indexOf(x) < until

     from

       the lowest index to include from this priority queue.

     until

       the highest index to EXCLUDE from this priority queue.

     returns

       a priority queue containing the elements greater than or equal to index `from` extending up to (but not including) index `until` of this priority queue.

     Definition Classes
       IterableLike → TraversableLike → GenTraversableLike

125. #### def sliding[B >: A](size: Int, step: Int): Iterator[PriorityQueue[A]]

     Definition Classes
       IterableLike

126. #### def sliding[B >: A](size: Int): Iterator[PriorityQueue[A]]

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.)

     size

       the number of elements per group

     returns

       An iterator producing priority queues of size `size`, except the last and the only element will be truncated if there are fewer elements than size.

     Definition Classes
       IterableLike
     See also

       Iterator#sliding

127. #### def span(p: (A) ⇒ Boolean): (PriorityQueue[A], PriorityQueue[A])

     Splits this priority queue into a prefix/suffix pair according to a predicate.

     Splits this priority queue into a prefix/suffix pair according to a predicate.

     Note: `c span p` is equivalent to (but possibly more efficient than) `(c takeWhile p, c dropWhile p)`, provided the evaluation of the predicate `p` does not cause any side-effects.

     p

       the test predicate

     returns

       a pair consisting of the longest prefix of this priority queue whose elements all satisfy `p`, and the rest of this priority queue.

     Definition Classes
       TraversableLike → GenTraversableLike

128. #### def splitAt(n: Int): (PriorityQueue[A], PriorityQueue[A])

     Splits this priority queue into two at a given position.

     Splits this priority queue into two at a given position. Note: `c splitAt n` is equivalent to (but possibly more efficient than) `(c take n, c drop n)`.

     n

       the position at which to split.

     returns

       a pair of priority queues consisting of the first `n` elements of this priority queue, and the other elements.

     Definition Classes
       TraversableLike → GenTraversableLike

129. #### def stringPrefix: String

     Defines the prefix of this object's `toString` representation.

     Defines the prefix of this object's `toString` representation.

     returns

       a string representation which starts the result of `toString` applied to this priority queue. By default the string prefix is the simple name of the collection class priority queue.

     Definition Classes
       TraversableLike → GenTraversableLike

130. #### abstract def sum: A

     [use case] Sums up the elements of this collection.

     [use case]

     Sums up the elements of this collection.

     returns

       the sum of all elements of this priority queue with respect to the `+` operator in `num`.

     Definition Classes
       GenTraversableOnce

131. #### def sum[B >: A](implicit num: Numeric[B]): B

     Sums up the elements of this collection.

     Sums up the elements of this collection.

     B

       the result type of the `+` operator.

     num

       an implicit parameter defining a set of numeric operations which includes the `+` operator to be used in forming the sum.

     returns

       the sum of all elements of this priority queue with respect to the `+` operator in `num`.

     Definition Classes
       TraversableOnce → GenTraversableOnce

132. #### final def synchronized[T0](arg0: ⇒ T0): T0

     Definition Classes
       AnyRef

133. #### def tail: PriorityQueue[A]

     Selects all elements except the first.

     Selects all elements except the first.

     returns

       a priority queue consisting of all elements of this priority queue except the first one.

     Definition Classes
       TraversableLike → GenTraversableLike
     Exceptions thrown
       `UnsupportedOperationException`

       if the priority queue is empty.

134. #### def tails: Iterator[PriorityQueue[A]]

     Iterates over the tails of this priority queue.

     Iterates over the tails of this priority queue. The first value will be this priority queue and the final one will be an empty priority queue, with the intervening values the results of successive applications of `tail`.

     returns

       an iterator over all the tails of this priority queue

     Definition Classes
       TraversableLike
     Example:

     1. `List(1,2,3).tails = Iterator(List(1,2,3), List(2,3), List(3), Nil)`

135. #### def take(n: Int): PriorityQueue[A]

     Selects first n elements.

     Selects first n elements.

     n

       Tt number of elements to take from this priority queue.

     returns

       a priority queue consisting only of the first `n` elements of this priority queue, or else the whole priority queue, if it has less than `n` elements.

     Definition Classes
       IterableLike → TraversableLike → GenTraversableLike

136. #### def takeRight(n: Int): PriorityQueue[A]

     Selects last n elements.

     Selects last n elements.

     n

       the number of elements to take

     returns

       a priority queue consisting only of the last `n` elements of this priority queue, or else the whole priority queue, if it has less than `n` elements.

     Definition Classes
       IterableLike

137. #### def takeWhile(p: (A) ⇒ Boolean): PriorityQueue[A]

     Takes longest prefix of elements that satisfy a predicate.

     Takes longest prefix of elements that satisfy a predicate.

     p

       The predicate used to test elements.

     returns

       the longest prefix of this priority queue whose elements all satisfy the predicate `p`.

     Definition Classes
       IterableLike → TraversableLike → GenTraversableLike

138. #### def thisCollection: Iterable[A]

     The underlying collection seen as an instance of `PriorityQueue`.

     The underlying collection seen as an instance of `PriorityQueue`. By default this is implemented as the current collection object itself, but this can be overridden.

     Attributes
       protected[this]
     Definition Classes
       IterableLike → TraversableLike

139. #### abstract def toArray: Array[A]

     [use case] Converts this priority queue to an array.

     [use case]

     Converts this priority queue to an array.

     returns

       an array containing all elements of this priority queue.

     Definition Classes
       GenTraversableOnce

140. #### def toArray[B >: A](implicit arg0: ClassManifest[B]): Array[B]

     Converts this priority queue to an array.

     Converts this priority queue to an array.

     B

       the type of the elements of the array. A `ClassManifest` for this type must be available.

     returns

       an array containing all elements of this priority queue.

     Definition Classes
       TraversableOnce → GenTraversableOnce

141. #### def toBuffer[B >: A]: Buffer[B]

     Converts this priority queue to a mutable buffer.

     Converts this priority queue to a mutable buffer.

     returns

       a buffer containing all elements of this priority queue.

     Definition Classes
       TraversableOnce → GenTraversableOnce

142. #### def toCollection(repr: PriorityQueue[A]): Iterable[A]

     A conversion from collections of type `Repr` to `PriorityQueue` objects.

     A conversion from collections of type `Repr` to `PriorityQueue` objects. By default this is implemented as just a cast, but this can be overridden.

     Attributes
       protected[this]
     Definition Classes
       IterableLike → TraversableLike

143. #### def toIndexedSeq[B >: A]: IndexedSeq[B]

     Converts this priority queue to an indexed sequence.

     Converts this priority queue to an indexed sequence.

     returns

       an indexed sequence containing all elements of this priority queue.

     Definition Classes
       TraversableOnce → GenTraversableOnce

144. #### def toIterable: Iterable[A]

     Converts this priority queue to an iterable collection.

     Converts this priority queue to an iterable collection. Note that the choice of target `Iterable` is lazy in this default implementation as this `TraversableOnce` may be lazy and unevaluated (i.e. it may be an iterator which is only traversable once).

     returns

       an `Iterable` containing all elements of this priority queue.

     Definition Classes
       IterableLike → TraversableOnce → GenTraversableOnce

145. #### def toIterator: Iterator[A]

     Returns an Iterator over the elements in this priority queue.

     Returns an Iterator over the elements in this priority queue. Will return the same Iterator if this instance is already an Iterator.

     returns

       an Iterator containing all elements of this priority queue.

     Definition Classes
       TraversableLike → GenTraversableOnce

146. #### def toList: List[A]

     Converts this priority queue to a list.

     Converts this priority queue to a list.

     returns

       a list containing all elements of this priority queue.

     Definition Classes
       PriorityQueue → TraversableOnce → GenTraversableOnce

147. #### abstract def toMap[T, U]: Map[T, U]

     [use case] Converts this priority queue to a map.

     [use case]

     Converts this priority queue to a map. This method is unavailable unless the elements are members of Tuple2, each ((T, U)) becoming a key-value pair in the map. Duplicate keys will be overwritten by later keys: if this is an unordered collection, which key is in the resulting map is undefined.

     returns

       a map containing all elements of this priority queue.

     Definition Classes
       GenTraversableOnce

148. #### def toMap[T, U](implicit ev: <:<[A, (T, U)]): Map[T, U]

     Converts this priority queue to a map.

     Converts this priority queue to a map. This method is unavailable unless the elements are members of Tuple2, each ((T, U)) becoming a key-value pair in the map. Duplicate keys will be overwritten by later keys: if this is an unordered collection, which key is in the resulting map is undefined.

     returns

       a map containing all elements of this priority queue.

     Definition Classes
       TraversableOnce → GenTraversableOnce

149. #### def toQueue: Queue[A]

     Returns a regular queue containing the same elements.

     Returns a regular queue containing the same elements.

     Definition Classes
       PriorityQueueProxy → PriorityQueue

150. #### def toSeq: Seq[A]

     Converts this priority queue to a sequence.

     Converts this priority queue to a sequence. As with `toIterable`, it's lazy in this default implementation, as this `TraversableOnce` may be lazy and unevaluated.

     returns

       a sequence containing all elements of this priority queue.

     Definition Classes
       TraversableOnce → GenTraversableOnce

151. #### def toSet[B >: A]: Set[B]

     Converts this priority queue to a set.

     Converts this priority queue to a set.

     returns

       a set containing all elements of this priority queue.

     Definition Classes
       TraversableOnce → GenTraversableOnce

152. #### def toStream: Stream[A]

     Converts this priority queue to a stream.

     Converts this priority queue to a stream.

     returns

       a stream containing all elements of this priority queue.

     Definition Classes
       IterableLike → TraversableLike → GenTraversableOnce

153. #### def toString(): String

     Creates a String representation of this object.

     Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

     returns

       a String representation of the object.

     Definition Classes
       Proxy → AnyRef → Any

154. #### def toTraversable: Traversable[A]

     Converts this priority queue to an unspecified Traversable.

     Converts this priority queue to an unspecified Traversable. Will return the same collection if this instance is already Traversable.

     returns

       a Traversable containing all elements of this priority queue.

     Definition Classes
       TraversableLike → TraversableOnce → GenTraversableOnce

155. #### def transpose[B](implicit asTraversable: (A) ⇒ GenTraversableOnce[B]): Iterable[Iterable[B]]

     Transposes this priority queue of traversable collections into a priority queue of priority queues.

     Transposes this priority queue of traversable collections into a priority queue of priority queues.

     B

       the type of the elements of each traversable collection.

     asTraversable

       an implicit conversion which asserts that the element type of this priority queue is a `Traversable`.

     returns

       a two-dimensional priority queue of priority queues which has as nth row the nth column of this priority queue.

     Definition Classes
       GenericTraversableTemplate
     Annotations
       @migration
     Migration

       (Changed in version 2.9.0) `transpose` throws an `IllegalArgumentException` if collections are not uniformly sized.

     Exceptions thrown
       `IllegalArgumentException`

       if all collections in this priority queue are not of the same size.

156. #### def unzip[A1, A2](implicit asPair: (A) ⇒ (A1, A2)): (Iterable[A1], Iterable[A2])

     Converts this priority queue of pairs into two collections of the first and second half of each pair.

     Converts this priority queue of pairs into two collections of the first and second half of each pair.

     asPair

       an implicit conversion which asserts that the element type of this priority queue is a pair.

     returns

       a pair priority queues, containing the first, respectively second half of each element pair of this priority queue.

     Definition Classes
       GenericTraversableTemplate

157. #### def unzip3[A1, A2, A3](implicit asTriple: (A) ⇒ (A1, A2, A3)): (Iterable[A1], Iterable[A2], Iterable[A3])

     Converts this priority queue of triples into three collections of the first, second, and third element of each triple.

     Converts this priority queue of triples into three collections of the first, second, and third element of each triple.

     asTriple

       an implicit conversion which asserts that the element type of this priority queue is a triple.

     returns

       a triple priority queues, containing the first, second, respectively third member of each element triple of this priority queue.

     Definition Classes
       GenericTraversableTemplate

158. #### def view(from: Int, until: Int): IterableView[A, PriorityQueue[A]]

     Creates a non-strict view of a slice of this priority queue.

     Creates a non-strict view of a slice of this priority queue.

     Note: the difference between `view` and `slice` is that `view` produces a view of the current priority queue, whereas `slice` produces a new priority queue.

     Note: `view(from, to)` is equivalent to `view.slice(from, to)`

     from

       the index of the first element of the view

     until

       the index of the element following the view

     returns

       a non-strict view of a slice of this priority queue, starting at index `from` and extending up to (but not including) index `until`.

     Definition Classes
       IterableLike → TraversableLike

159. #### def view: IterableView[A, PriorityQueue[A]]

     Creates a non-strict view of this priority queue.

     Creates a non-strict view of this priority queue.

     returns

       a non-strict view of this priority queue.

     Definition Classes
       IterableLike → TraversableLike

160. #### final def wait(): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws()

161. #### final def wait(arg0: Long, arg1: Int): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws()

162. #### final def wait(arg0: Long): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws()

163. #### def withFilter(p: (A) ⇒ Boolean): FilterMonadic[A, PriorityQueue[A]]

     Creates a non-strict filter of this priority queue.

     Creates a non-strict filter of this priority queue.

     Note: the difference between `c filter p` and `c withFilter p` is that the former creates a new collection, whereas the latter only restricts the domain of subsequent `map`, `flatMap`, `foreach`, and `withFilter` operations.

     p

       the predicate used to test elements.

     returns

       an object of class `WithFilter`, which supports `map`, `flatMap`, `foreach`, and `withFilter` operations. All these operations apply to those elements of this priority queue which satisfy the predicate `p`.

     Definition Classes
       TraversableLike → FilterMonadic

164. #### abstract def zip[B](that: GenIterable[B]): PriorityQueue[(A, B)]

     [use case] Returns a priority queue formed from this priority queue and another iterable collection by combining corresponding elements in pairs.

     [use case]

     Returns a priority queue formed from this priority queue and another iterable collection by combining corresponding elements in pairs. If one of the two collections is longer than the other, its remaining elements are ignored.

     B

       the type of the second half of the returned pairs

     that

       The iterable providing the second half of each result pair

     returns

       a new collection of type `That` containing pairs consisting of corresponding elements of this priority queue and `that`. The length of the returned collection is the minimum of the lengths of this priority queue and `that`.

     Definition Classes
       GenIterableLike

165. #### def zip[A1 >: A, B, That](that: GenIterable[B])(implicit bf: CanBuildFrom[PriorityQueue[A], (A1, B), That]): That

     Returns a priority queue formed from this priority queue and another iterable collection by combining corresponding elements in pairs.

     Returns a priority queue formed from this priority queue and another iterable collection by combining corresponding elements in pairs. If one of the two collections is longer than the other, its remaining elements are ignored.

     A1

       the type of the first half of the returned pairs (this is always a supertype of the collection's element type `A`).

     B

       the type of the second half of the returned pairs

     That

       the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `(A1, B)` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, (A1, B), That]`. is found.

     that

       The iterable providing the second half of each result pair

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `(A1, B)`.

     returns

       a new collection of type `That` containing pairs consisting of corresponding elements of this priority queue and `that`. The length of the returned collection is the minimum of the lengths of this priority queue and `that`.

     Definition Classes
       IterableLike → GenIterableLike

166. #### abstract def zipAll[B](that: Iterable[B], thisElem: A, thatElem: B): PriorityQueue[(A, B)]

     [use case] Returns a priority queue formed from this priority queue and another iterable collection by combining corresponding elements in pairs.

     [use case]

     Returns a priority queue formed from this priority queue and another iterable collection by combining corresponding elements in pairs. If one of the two collections is shorter than the other, placeholder elements are used to extend the shorter collection to the length of the longer.

     that

       the iterable providing the second half of each result pair

     thisElem

       the element to be used to fill up the result if this priority queue is shorter than `that`.

     thatElem

       the element to be used to fill up the result if `that` is shorter than this priority queue.

     returns

       a new collection of type `That` containing pairs consisting of corresponding elements of this priority queue and `that`. The length of the returned collection is the maximum of the lengths of this priority queue and `that`. If this priority queue is shorter than `that`, `thisElem` values are used to pad the result. If `that` is shorter than this priority queue, `thatElem` values are used to pad the result.

     Definition Classes
       GenIterableLike

167. #### def zipAll[B, A1 >: A, That](that: GenIterable[B], thisElem: A1, thatElem: B)(implicit bf: CanBuildFrom[PriorityQueue[A], (A1, B), That]): That

     Returns a priority queue formed from this priority queue and another iterable collection by combining corresponding elements in pairs.

     Returns a priority queue formed from this priority queue and another iterable collection by combining corresponding elements in pairs. If one of the two collections is shorter than the other, placeholder elements are used to extend the shorter collection to the length of the longer.

     that

       the iterable providing the second half of each result pair

     thisElem

       the element to be used to fill up the result if this priority queue is shorter than `that`.

     thatElem

       the element to be used to fill up the result if `that` is shorter than this priority queue.

     returns

       a new collection of type `That` containing pairs consisting of corresponding elements of this priority queue and `that`. The length of the returned collection is the maximum of the lengths of this priority queue and `that`. If this priority queue is shorter than `that`, `thisElem` values are used to pad the result. If `that` is shorter than this priority queue, `thatElem` values are used to pad the result.

     Definition Classes
       IterableLike → GenIterableLike

168. #### abstract def zipWithIndex: PriorityQueue[(A, Int)]

     [use case] Zips this priority queue with its indices.

     [use case]

     Zips this priority queue with its indices.

     returns

       A new collection of type `That` containing pairs consisting of all elements of this priority queue paired with their index. Indices start at `0`.

     Definition Classes
       GenIterableLike

169. #### def zipWithIndex[A1 >: A, That](implicit bf: CanBuildFrom[PriorityQueue[A], (A1, Int), That]): That

     Zips this priority queue with its indices.

     Zips this priority queue with its indices.

     A1

       the type of the first half of the returned pairs (this is always a supertype of the collection's element type `A`).

     That

       the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `(A1, Int)` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, (A1, Int), That]`. is found.

     returns

       A new collection of type `That` containing pairs consisting of all elements of this priority queue paired with their index. Indices start at `0`.

     Definition Classes
       IterableLike → GenIterableLike

### Deprecated Value Members

1. #### def +(elem1: A, elem2: A, elems: A*): PriorityQueue[A]

   Add two or more elements to this set.

   Add two or more elements to this set.

   elem1

     the first element.

   Definition Classes
     PriorityQueue
   Annotations
     @deprecated
   Deprecated

     (Since version 2.8.0) "Use ++= instead if you intend to add by side effect to an existing collection.\012".+("Use `clone() ++=\' if you intend to create a new collection.")`

2. #### def +(elem: A): PriorityQueue[A]

   Definition Classes
     PriorityQueue
   Annotations
     @deprecated
   Deprecated

     (Since version 2.8.0) "Use += instead if you intend to add by side effect to an existing collection.\012".+("Use `clone() +=\' if you intend to create a new collection.")`

3. #### def elements: Iterator[A]

   Definition Classes
     IterableLike
   Annotations
     @deprecated
   Deprecated

     (Since version 2.8.0) use `iterator' instead`

4. #### def first: A

   Definition Classes
     IterableLike
   Annotations
     @deprecated
   Deprecated

     (Since version 2.8.0) use `head' instead`

5. #### def firstOption: Option[A]

   `None` if iterable is empty.

   `None` if iterable is empty.

   Definition Classes
     IterableLike
   Annotations
     @deprecated
   Deprecated

     (Since version 2.8.0) use `headOption' instead`

6. #### def max: A

   Returns the element with the highest priority in the queue, or throws an error if there is no element contained in the queue.

   Returns the element with the highest priority in the queue, or throws an error if there is no element contained in the queue.

   returns

     the element with the highest priority.

   Definition Classes
     PriorityQueueProxy → PriorityQueue
   Annotations
     @deprecated
   Deprecated

     (Since version 2.9.0) Use `head` instead.

7. #### def projection: IterableView[A, PriorityQueue[A]]

   returns a projection that can be used to call non-strict `filter`, `map`, and `flatMap` methods that build projections of the collection.

   returns a projection that can be used to call non-strict `filter`, `map`, and `flatMap` methods that build projections of the collection.

   Definition Classes
     IterableLike
   Annotations
     @deprecated
   Deprecated

     (Since version 2.8.0) use `view' instead`

### Inherited from Proxy

### Inherited from PriorityQueue[A]

### Inherited from Serializable

### Inherited from Builder[A, PriorityQueue[A]]

### Inherited from Growable[A]

### Inherited from GenericOrderedTraversableTemplate[A, PriorityQueue]

### Inherited from Iterable[A]

### Inherited from IterableLike[A, PriorityQueue[A]]

### Inherited from Equals

### Inherited from GenIterable[A]

### Inherited from GenIterableLike[A, PriorityQueue[A]]

### Inherited from Traversable[A]

### Inherited from Mutable

### Inherited from Traversable[A]

### Inherited from GenTraversable[A]

### Inherited from GenericTraversableTemplate[A, Iterable]

### Inherited from TraversableLike[A, PriorityQueue[A]]

### Inherited from GenTraversableLike[A, PriorityQueue[A]]

### Inherited from Parallelizable[A, ParIterable[A]]

### Inherited from TraversableOnce[A]

### Inherited from GenTraversableOnce[A]

### Inherited from FilterMonadic[A, PriorityQueue[A]]

### Inherited from HasNewBuilder[A, PriorityQueue[A]]

### Inherited from AnyRef

### Inherited from Any